For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Amniscient Home
HomeDocumentationAPI Reference
HomeDocumentationAPI Reference
  • API Reference
      • GETGet Detection Items
    • Common Errors
Amniscient Home
LogoLogo
API ReferenceModel

Get Detection Items

GET
https://api.amniscient.com/model/:model_id/detection-items
GET
/model/:model_id/detection-items
1import requests
2
3url = "https://api.amniscient.com/model/model_id/detection-items"
4
5querystring = {"organizationId":"organizationId"}
6
7headers = {"x-api-key": "x-api-key"}
8
9response = requests.get(url, headers=headers, params=querystring)
10
11print(response.json())
1[
2 {
3 "id": "1f336329-4c38-4501-8af1-8661e9d7df25",
4 "label": "Banana",
5 "attributes": {
6 "label": "banana"
7 },
8 "deleted_at": null,
9 "created_at": "2024-09-30T20:38:29.254Z",
10 "updated_at": "2025-12-02T18:52:14.476Z",
11 "organization_id": "2a432e67-bf5d-4acb-ab26-a8f4e3b218c9"
12 },
13 {
14 "id": "53802c00-a508-439b-aba8-9e108fff822b",
15 "label": "Figurine",
16 "attributes": {
17 "test": "bob"
18 },
19 "deleted_at": null,
20 "created_at": "2025-06-18T17:26:15.387Z",
21 "updated_at": "2025-09-15T18:59:25.832Z",
22 "organization_id": "2a432e67-bf5d-4acb-ab26-a8f4e3b218c9"
23 },
24 {
25 "id": "178cfaaa-f227-4fcc-97b4-e991b7bd785b",
26 "label": "Box",
27 "attributes": {
28 "test": "box"
29 },
30 "deleted_at": null,
31 "created_at": "2025-06-18T17:26:15.391Z",
32 "updated_at": "2025-12-31T15:42:15.400Z",
33 "organization_id": "2a432e67-bf5d-4acb-ab26-a8f4e3b218c9"
34 }
35]
Get the detection items associated to an active model within your organization on AmniSphere.
Was this page helpful?
Previous

Find Inference Points

Next
Built with

Path parameters

model_idstringRequired
The model ID of an active and trained AI model within your organization.

Headers

x-api-keystringRequired
Your organization's active API Key.

Query parameters

organizationIdstringRequiredformat: "uuid"
Your organization's unique identifier.

Response

200 - Items retrieved successfully

idstringformat: "uuid"
The detection item id of an object associated to the model provided. This will match the detection item id in the library for this object.
labelstring
The object name of an object associated to the model provided. This will match the object name in the library for this object.
organizationIdstringformat: "uuid"
Your organization's unique identifier.
attributesmap from strings to strings
A map of attributes associated with an object within the model provided. These attributes will match the attributes within the library for this object.
deleted_atdatetime or null
The date and time at which this object was deleted within your organization's library. This value will always be null for active objects.
created_atdatetime
The date and time at which this object was originally created within your organization's library.
updated_atdatetime
The date and time at which this object was last updated within your organization's library.

Errors

400
Bad Request Error
401
Unauthorized Error